<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
	
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
	<?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if ($success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
	<div class="panel panel-default">
    <div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $heading_title; ?></h3>
      </div>
    <div class="panel-body">
      <form class="form-horizontal" action="<?php echo $exportlink; ?>" method="post" enctype="multipart/form-data" id="exportlink">
		  <div class="row">
            <div class="col-sm-6">
				<div class="form-group">
					<label  class="col-sm-4 control-label" for="input-name"><?php echo $entry_name; ?></label>
					<div class="col-sm-8">
					<input type="text" name="filter_name" value="" placeholder="<?php echo $entry_name; ?>" id="input-name" class="form-control input-sm" />
					<input type="hidden" name="product_id" value=""  id="product_id" class="form-control input-sm" />
					</div>
				</div>
				<div class="form-group">
			<label class="col-sm-4 control-label"><?php echo $entry_rating; ?></label>
			<div class="col-sm-8">
				<div class="col-xs-6 ratingto">
				<input name="ratingto" value="1" class="form-control input-sm">   
				</div>
				<div class="col-xs-6 ratingfrom">
				<input name="ratingfrom" value="5" class="form-control input-sm " >
				</div>
				</div>
			</div>
			
			</div>
			
			
		 <div class="col-sm-6">
			
			<div class="form-group">
			<label class="col-sm-4 control-label"><?php echo $entry_limit; ?></label>
			<div class="col-sm-8">
				<div class="col-xs-6">
				<input name="number" value="<?php echo $number?>" class="form-control input-sm">    
				</div>
				<div class="col-xs-6">
				<input name="end" value="<?php echo $end?>" class="form-control input-sm " >
				</div>
				</div>
			</div>
			
			<div class="form-group ">
			<label class="col-sm-4 control-label"><?php echo $entry_daterange; ?></label>
			<div class="col-sm-8">
				<div class="col-xs-6 date">
				   <input type="text" name="dateto" value="" placeholder="" data-date-format="YYYY-MM-DD" id="input-date-start" class="form-control input-sm ratingto" /> 
				</div>
				<div class="col-xs-6 date">
				  <input type="text" name="datefrom" value="" placeholder="" data-date-format="YYYY-MM-DD" id="input-date-end" class="form-control input-sm ratingfrom" /> 
				</div>
				</div>
			</div>
			
			
		 </div>
		
		 </div>
		<div class="form-group col-sm-4 pull-right">
			
				<input type="submit" class="btn btn-primary col-sm-12" value="<?php echo $button_export; ?>">
			
		 </div>
		
      </form>
	  <div style="clear:both">
	  <legend><b>Import Review</b> </legend>
	   <form class="form-horizontal" action="<?php echo $importlink; ?>" method="post" enctype="multipart/form-data" id="importlink">
			<div class="row">
				<div class="col-sm-12">
					<div class="form-group">
						<label class="col-sm-4 control-label"><?php echo $entry_import; ?></label>
						<div class="col-sm-8"><input type="file" name="import" /></div>
					</div>
				</div>
				<div class="form-group col-sm-12">
				<label class="col-sm-2 "><?php echo $entry_importby; ?></label>
				<div class="col-sm-8">
				<select name="importby" class="form-control">
				 <option value="2"><?php echo $entry_updatereview?></option>
				<option value="1"><?php echo $entry_newreview?></option>
			
				</select>
				</div>
				</div>
				<div class="col-sm-4">
				
					<input type="submit" class="btn btn-primary col-sm-12" value="<?php echo $button_import; ?>">
				
				</div>
			</div>
	     </form>
   
  </div>
</div>
 <script type="text/javascript"><!--
$('input[name=\'filter_name\']').autocomplete({
	'source': function(request, response) {
		$.ajax({
			url: 'index.php?route=catalog/product/autocomplete&token=<?php echo $token; ?>&filter_name=' +  encodeURIComponent(request),
			dataType: 'json',
			success: function(json) {
				response($.map(json, function(item) {
					return {
						label: item['name'],
						value: item['product_id']
					}
				}));
			}
		});
	},
	'select': function(item) {
		$('input[name=\'filter_name\']').val(item['label']);
		$('input[name=\'product_id\']').val(item['value']);
	}
});


$('.date').datetimepicker({
	pickTime: false
});
//--></script>
<?php echo $footer; ?>
<style>
.ratingto{padding-left:0px}
.ratingfrom{padding-right:0px}
</style>